#include <stdio.h>
#include <string.h>

static int abs(int n)
{
  if (n < 0) return -1;
  if (n > 0) return  1;
  return 0;
}

int main()
{
  printf("%d\n", abs(strcmp("abc", "abc")));
  printf("%d\n", abs(strcmp("abc", "ABC")));
  printf("%d\n", abs(strcmp("ABC", "abc")));
  printf("%d\n", abs(strcmp("a", "aaa")));
  printf("%d\n", abs(strcmp("aaa", "a")));
  printf("%d\n", abs(strcmp("aaaa", "abcd")));
  printf("%d\n", abs(strcmp("abcd", "aaaa")));
  printf("%d\n", abs(strcmp("012", "0123")));
  printf("%d\n", abs(strcmp("0123", "012")));

  return 0;
}
